/// <reference types="node" />
import { Readable } from 'stream';
import { messages } from 'cucumber-messages';
import ParserMessageStream from './stream/ParserMessageStream';
import Dialect from './Dialect';
import IGherkinOptions from './IGherkinOptions';
declare function fromStream(stream: Readable, options?: IGherkinOptions): ParserMessageStream;
declare function fromPaths(paths: string[], options?: IGherkinOptions): Readable;
declare function fromSources(envelopes: messages.IEnvelope[], options?: IGherkinOptions): Readable;
declare function dialects(): {
    [key: string]: Dialect;
};
declare const _default: {
    fromPaths: typeof fromPaths;
    fromStream: typeof fromStream;
    fromSources: typeof fromSources;
    dialects: typeof dialects;
};
export default _default;
